Package org.eclipse.net4j.util.event

# Klasse ValueEvent<VALUE>

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.event.ValueEvent<VALUE>

Alle implementierten Schnittstellen:
  `Serializable`, `IEvent`

public class ValueEvent<VALUE> extends Event
An `IEvent` fired from `value notifiers` after value changes.

Seit:
  3.1
Autor:
  Eike Stepper
Siehe auch:
  - Serialisierte Form
No Extend
  This class is not intended to be subclassed by clients.

## Feldübersicht

### Von Klasse geerbte Felder java.util.EventObject

`source`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`VALUE`
`getNewValue()`
`VALUE`
`getOldValue()`
`ValueNotifier<VALUE>`
`getSource()`

### Von Klasse geerbte Methoden org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Methodendetails

### getSource

public ValueNotifier<VALUE> getSource()

Angegeben von:
  `getSource` in Schnittstelle `IEvent`
Setzt außer Kraft:
  `getSource` in Klasse `Event`

### getOldValue

public VALUE getOldValue()

### getNewValue

public VALUE getNewValue()